Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.collision
Class PairManager

    java.lang.Object
      org.jbox2d.collision.PairManager

    public class PairManager

extends java.lang.Object

Field Summary
`BroadPhase` | `m_broadPhase`
`PairCallback` | `m_callback`
`int` | `m_freePair`
`int[]` | `m_hashTable`
`BufferedPair[]` | `m_pairBuffer`
`int` | `m_pairBufferCount`
`int` | `m_pairCount`
`Pair[]` | `m_pairs`
`static int` | `NULL_PAIR`
`static int` | `TABLE_CAPACITY`

Constructor Summary
`PairManager()`

Method Summary
`void` | `addBufferedPair(int id1, int id2)`
`Pair` | `addPair(int proxyId1, int proxyId2)`
`void` | `commit()`
`Pair` | `find(int proxyId1, int proxyId2)`
`Pair` | `find(int proxyId1, int proxyId2, int hash)`
`void` | `initialize(BroadPhase broadPhase, PairCallback callback)`
`void` | `removeBufferedPair(int id1, int id2)`
`java.lang.Object` | `removePair(int proxyId1, int proxyId2)`
`void` | `validateBuffer()` Unimplemented - for debugging purposes only in C++ version
`void` | `validateTable()` For debugging

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_PAIR

    public static final int NULL_PAIR

See Also:
  Constant Field Values

### TABLE_CAPACITY

    public static final int TABLE_CAPACITY

See Also:
  Constant Field Values

### m_pairs

    public Pair[] m_pairs

### m_pairCount

    public int m_pairCount

### m_hashTable

    public int[] m_hashTable

### m_broadPhase

    public BroadPhase m_broadPhase

### m_callback

    public PairCallback m_callback

### m_freePair

    public int m_freePair

### m_pairBuffer

    public BufferedPair[] m_pairBuffer

### m_pairBufferCount

    public int m_pairBufferCount

Constructor Detail

### PairManager

    public PairManager()

Method Detail

### initialize

    public void initialize(BroadPhase broadPhase,
                           PairCallback callback)

### addPair

    public Pair addPair(int proxyId1,
                        int proxyId2)

### removePair

    public java.lang.Object removePair(int proxyId1,
                                       int proxyId2)

### addBufferedPair

    public void addBufferedPair(int id1,
                                int id2)

### removeBufferedPair

    public void removeBufferedPair(int id1,
                                   int id2)

### commit

    public void commit()

### validateBuffer

    public void validateBuffer()

  Unimplemented - for debugging purposes only in C++ version

### validateTable

    public void validateTable()

  For debugging

### find

    public Pair find(int proxyId1,
                     int proxyId2,
                     int hash)

### find

    public Pair find(int proxyId1,
                     int proxyId2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD